#!/bin/sh

#  getnewestfiles.sh
#  Teps-VideoWall
#
#  Created by steve on 2015-05-18.
#


EXITSTATUS=0

# this method returns full path
# ls -tU "${1}"/*.jpg | head -n $2

# new method returns just the name - must prepend full path
#ls -tU "${1}"|grep -E "[.]jpg$" | head -n $2

# this newer method returns either the full path or the name
# usage: arg1 is search path
#	 arg2 is max return count
#	 arg 3 (optional) is filename prefix
# example: ./getnewestfiles.sh /Applications/TEPS\ OS\ X\ Share\ Folder/MAIN\ IMAGES\ FOLDER\ ƒ/ 20 242273

find "${1%%/}" -iname "$3"'*.jpg' -print0 | xargs -0 ls -t | head -n $2
